## org.omg.IOP
Class IORHelper

    java.lang.Object
      |
      +--org.omg.IOP.IORHelper

public class IORHelper
extends java.lang.Object

Helper class for : IOR

Author:
  OpenORB Compiler

Constructor Summary
`IORHelper()`

Method Summary
`static IOR` `extract(Any a)` Extract IOR from an any
`static java.lang.String` `id()` Return the IOR IDL ID
`static void` `insert(Any a, IOR t)` Insert IOR into an any
`static IOR` `read(InputStream istream)` Read IOR from a marshalled stream
`static TypeCode` `type()` Return the IOR TypeCode
`static void` `write(OutputStream ostream, IOR value)` Write IOR into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IORHelper

    public IORHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IOR t)

  Insert IOR into an any
  Parameters:
    `a` - an any
    `t` - IOR value

### extract

    public static IOR extract(Any a)

  Extract IOR from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IOR value

### type

    public static TypeCode type()

  Return the IOR TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IOR IDL ID
  Returns:
    an ID

### read

    public static IOR read(InputStream istream)

  Read IOR from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IOR value

### write

    public static void write(OutputStream ostream,
                             IOR value)

  Write IOR into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IOR value